# $Id$
# Kernel Makefile (C) 2002 The UbixOS Project

# Include Global 'Source' Options
include ../../Makefile.inc
include ../Makefile.inc

#Binary File Name
BINARY = none 

#Objects
OBJS = startup.o

# Make the Binary
$(BINARY) : $(OBJS)

# Compile the source files
.cc.o:
	$(CXX)  -Wall -fomit-frame-pointer -O -I../libc/include -c -o $@ $<
 
.cc.s:
	$(CXX)  -Wall -fomit-frame-pointer -O -I../libc/include -S -o $@ $<
 
.c.o:
	$(CC)  -Wall -O -I../libc/include -c -o $@ $<
 
.c.s:
	$(CC)  -Wall -fomit-frame-pointer -O -I../libc/include -S -o $@ $<
 
.S.o:
	$(CC)  -Wall -fomit-frame-pointer -c -o $@ $<
 
# Clean up the junk
clean:
	$(REMOVE) $(OBJS) $(BINARY)
